      PROGRAM TEST_GET_LUM_DATA_FROM_TCC
C----------------------------------------------------------------------
C-
C-   Purpose and Methods : test routine GET_LUM_DATA_FROM_TCC
C-
C-   Inputs  : 
C-   Outputs : 
C-   Controls: 
C-
C-   Created  24-OCT-1995   Philippe Laurens - MSU L1 Trigger
C-
C----------------------------------------------------------------------
      IMPLICIT NONE
      INTEGER BEAM_X_COUNT
      PARAMETER P1 = 1, P6 = 6
      INTEGER FAST_L0_COUNT ( P1:P6 )
      INTEGER SLOW_L0_COUNT ( P1:P6 )
      INTEGER TURN_COUNT
      INTEGER P_HALO_6X6 ( P1:P6 )
      INTEGER A_HALO_6X6 ( P1:P6 )
      PARAMETER W0 = 0, W53 = 53
      INTEGER P_HALO_WIN ( W0:W53 )
      INTEGER A_HALO_WIN ( W0:W53 )
      INTEGER FZ_LUM_WIN ( W0:W53 )
      INTEGER BUNCH
C
   10 CONTINUE

        CALL GET_LUM_DATA_FROM_TCC ( BEAM_X_COUNT,
     &                                   FAST_L0_COUNT,
     &                                   SLOW_L0_COUNT,
     &                                   TURN_COUNT,
     &                                   P_HALO_6X6,
     &                                   A_HALO_6X6,
     &                                   P_HALO_WIN,
     &                                   A_HALO_WIN,
     &                                   FZ_LUM_WIN )

        WRITE (6, 100 ) 'TURN_COUNT        =', 
     &                   TURN_COUNT
        WRITE (6, 100 ) 'P_HALO_6X6(1:6)   =', 
     &                  (P_HALO_6X6(BUNCH),BUNCH=P1,P6)
        WRITE (6, 100 ) 'A_HALO_6X6(1:6)   =', 
     &                  (A_HALO_6X6(BUNCH),BUNCH=P1,P6)
        WRITE (6, 100 ) 'P_HALO_WIN(0:2)   =', 
     &                  (P_HALO_WIN(BUNCH),BUNCH=0,2)  
        WRITE (6, 100 ) 'P_HALO_WIN(51:53) =', 
     &                  (P_HALO_WIN(BUNCH),BUNCH=51,53)
        WRITE (6, 100 ) 'A_HALO_WIN(0:2)   =', 
     &                  (A_HALO_WIN(BUNCH),BUNCH=0,2)  
        WRITE (6, 100 ) 'A_HALO_WIN(51:53) =', 
     &                  (A_HALO_WIN(BUNCH),BUNCH=51,53)
        WRITE (6, 100 ) 'FZ_LUM_WIN(0:2)   =', 
     &                  (FZ_LUM_WIN(BUNCH),BUNCH=0,2)  
        WRITE (6, 100 ) 'FZ_LUM_WIN(51:53) =', 
     &                  (FZ_LUM_WIN(BUNCH),BUNCH=51,53)

        CALL WAITIT ( 5.0 ) 
  100   FORMAT ( 1X, A, 10Z10.8)

      GOTO 10

C----------------------------------------------------------------------
      END
